You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@camel.apache.org by ac...@apache.org on 2022/10/13 11:28:35 UTC

[camel-kamelets] branch 0.9.x updated: Added a promote-release script utils to promote release from dist/dev to dist/release

This is an automated email from the ASF dual-hosted git repository.

acosentino pushed a commit to branch 0.9.x
in repository https://gitbox.apache.org/repos/asf/camel-kamelets.git


The following commit(s) were added to refs/heads/0.9.x by this push:
     new 3bccd957 Added a promote-release script utils to promote release from dist/dev to dist/release
3bccd957 is described below

commit 3bccd957d5451b01224e703ffa4b98fdc998a8c6
Author: Andrea Cosentino <an...@gmail.com>
AuthorDate: Thu Oct 13 13:27:44 2022 +0200

    Added a promote-release script utils to promote release from dist/dev to dist/release
    
    Signed-off-by: Andrea Cosentino <an...@gmail.com>
---
 release-utils/scripts/promote-release.sh | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/release-utils/scripts/promote-release.sh b/release-utils/scripts/promote-release.sh
new file mode 100755
index 00000000..d722fd80
--- /dev/null
+++ b/release-utils/scripts/promote-release.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -e
+
+if [ "$#" -lt 1 ]; then
+    echo "usage: $0 promote-release release-version"
+    exit 1
+fi
+
+svn mv https://dist.apache.org/repos/dist/dev/camel/camel-kamelets/$1/ https://dist.apache.org/repos/dist/release/camel/camel-kamelets/$1/ -m "Promote release from dev to release"